use pokemon;

select types.name
from pokemon.types;

select pokemons.name
from pokemon.pokemons
where id = 45;

select count(pokemons.name)
from pokemon.pokemons;

select count(types.id)
from pokemon.types;

select count(pokemons.secondary_type)
from pokemons;

select types.name, pokemons.name
from pokemon.pokemons
join types on pokemons.primary_type = types.id;

select pokemons.name, types.name
from pokemon.pokemons
join types on pokemons.secondary_type = types.id;

select pokemons.name, types.name
from pokemon.pokemons
join types on pokemons.secondary_type = types.id
where pokemons.name = "Rufflet";

select pokemon_trainer.trainerID
from pokemon.pokemon_trainer
join pokemon.pokemons


select t.name, count(p.name)
from pokemon.pokemons p
join types t
on p.primary_type = t.id
group by t.name;

select *
from pokemon_trainer;

select count(*)
from pokemon.pokemon_trainer;

select count(*) as "number"
from types;

select * from pokemon_trainer
where trainerID = 0 and pokemon_id = 1;

select count(*)
from pokemon_trainer
where pokelevel = 100;


select pok.name as "Pokemon Name",
       pt.trainername as "Trainer Name",
       t.pokelevel as "level",
       ptype.name as "primary type",
       stype.name as "secondary type"
from pokemon.trainers pt
left join pokemon.pokemon_trainer t
    on pt.trainerID = t.trainerID
left join pokemon.pokemons pok
    on pok.id = t.pokemon_id
left join pokemon.types ptype
    on pok.primary_type = ptype.id
left join pokemon.types stype
    on pok.secondary_type = stype.id
order by t.pokelevel desc , pok.secondary_type desc

